VERSION 5.00
Begin VB.UserControl pucLogoPane 
   Alignable       =   -1  'True
   CanGetFocus     =   0   'False
   ClientHeight    =   5280
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1515
   HasDC           =   0   'False
   ScaleHeight     =   352
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   101
   ToolboxBitmap   =   "LogoPane.ctx":0000
   Windowless      =   -1  'True
   Begin VB.Line lneShad 
      BorderColor     =   &H80000010&
      Visible         =   0   'False
      X1              =   -15
      X2              =   228
      Y1              =   270
      Y2              =   270
   End
   Begin VB.Line lneHigh 
      BorderColor     =   &H80000014&
      Visible         =   0   'False
      X1              =   -9
      X2              =   237
      Y1              =   282
      Y2              =   282
   End
   Begin VB.Image imgLogo 
      Height          =   510
      Left            =   540
      Top             =   495
      Width           =   555
   End
   Begin VB.Image imgBackground 
      Height          =   1500
      Left            =   0
      Picture         =   "LogoPane.ctx":00FA
      Top             =   1260
      Width           =   1500
   End
End
Attribute VB_Name = "pucLogoPane"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

'--------------------------------------'
'            Ariad Development Library '
'                          Version 3.0 '
'--------------------------------------'
'                 LogoPane UserControl '
'                          Version 1.0 '
'--------------------------------------'
'Copyright  2000 by Cyotek. All Rights Reserved.

'Created        : 10/04/2000
'Completed      : 10/04/2000
'Last Updated   : 19/08/2000

'28/05/2000
'           - Change Resize code to ensure that images
'             are left aligned when Extender.Align
'             is Top or Bottom
'11/08/2000 - New shader lines for defining edge
'19/08/2000 - Corrections to shader lines system

Option Explicit
DefInt A-Z

Private pPicture As StdPicture
'----------------------------------------------------------------------
'Name        : Picture
'Created     : 10/04/2000 14:13
'----------------------------------------------------------------------
'Author      : Richard Moss
'Organisation: Cyotek
'----------------------------------------------------------------------
'Description : Returns or sets a graphic to be displayed in a control.
'----------------------------------------------------------------------
'Returns     : Returns a StdPicture Object
'----------------------------------------------------------------------
'Updates     :
'
'----------------------------------------------------------------------
'                              Ariad Procedure Builder Add-In 1.00.0036
Public Property Get Picture() As StdPicture
Attribute Picture.VB_Description = "Returns or sets a graphic to be displayed in a control."
 '##BLOCK_DESCRIPTION Returns or sets a graphic to be displayed in a control.
 Set Picture = pPicture
End Property '(Public) Property Get Picture () As StdPicture

Property Set Picture(ByVal Picture As StdPicture)
 Set pPicture = Picture
 Set imgLogo.Picture = Picture
 PropertyChanged "Picture"
 UserControl_Resize
End Property ' Property Set Picture

Private Sub UserControl_AmbientChanged(PropertyName As String)
 UserControl_Resize
End Sub

Private Sub UserControl_Initialize()
 AutoRedraw = -1
End Sub


Private Sub UserControl_InitProperties()
    On Error Resume Next
        Extender.Align = 3
    On Error GoTo 0
    UserControl_Resize
End Sub


Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
 Set Picture = PropBag.ReadProperty("Picture", Nothing)
 UserControl_Resize
End Sub


Private Sub UserControl_Resize()
 Dim X, Y
 On Error Resume Next
  Cls
  For X = 0 To ScaleWidth Step imgBackground.Width
   For Y = 0 To ScaleHeight Step imgBackground.Height
    PaintPicture imgBackground.Picture, X, Y
   Next
  Next
  With imgLogo
   If Extender.Align = vbAlignTop Or Extender.Align = vbAlignBottom Then
    .Move Int((ScaleHeight - .Height) / 2), Int((ScaleHeight - .Height) / 2)
   Else
    .Move Int((ScaleWidth - .Width) / 2), Int((ScaleHeight - .Height) / 2)
   End If
  End With
  lneShad.Visible = (Extender.Align <> vbAlignNone)
  lneHigh.Visible = lneShad.Visible
  Select Case Extender.Align
   Case vbAlignBottom
    MoveLine lneShad, -1, 0, ScaleWidth + 2, 0
    MoveLine lneHigh, -1, 1, ScaleWidth + 2, 0
   Case vbAlignTop
    MoveLine lneShad, -1, ScaleHeight - 2, ScaleWidth + 2, 0
    MoveLine lneHigh, -1, ScaleHeight - 1, ScaleWidth + 2, 0
   Case vbAlignRight
    MoveLine lneShad, 0, -1, 0, ScaleHeight + 2
    MoveLine lneHigh, 1, -1, 0, ScaleHeight + 2
   Case vbAlignLeft
    MoveLine lneShad, ScaleWidth - 2, -1, 0, ScaleHeight + 2
    MoveLine lneHigh, ScaleWidth - 1, -1, 0, ScaleHeight + 2
  End Select
 On Error GoTo 0
End Sub


'-----------------------------------
'Name        : MoveLine
'Created     : 18/04/2000 19:05
'-----------------------------------
'Author      : Richard James Moss
'Organisation: Cyotek
'-----------------------------------
'Description : Moves a line control
'-----------------------------------
'Updates     :
'
'-----------------------------------
'             AS-PROCBUILD 1.00.0036
Private Sub MoveLine(LineCtl As Line, Left, Top, Width, Height)
 '##BLOCK_DESCRIPTION Moves a line control
 With LineCtl
'  .Visible = 0
   .X1 = Left
   .Y1 = Top
   .X2 = Left + Width
   .Y2 = Top + Height
'  .Visible = -1
'  .Refresh
 End With
End Sub '(Public) Sub MoveLine ()


Private Sub UserControl_Show()
 UserControl_Resize
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
 PropBag.WriteProperty "Picture", pPicture, Nothing
End Sub


